//================================================================================================
//                                  cIotModule header
//================================================================================================

class cIotModule
{
  private:

    static bool Initialized;

  public:

    void initialize(pWifiEventHandler WifiEventHandler = nullptr);
    //  static pIotModuleCom limits the allocation to only one cIotModuleCom object
    cIotModuleCom IotModuleCom;
    uint8_t genericRead8(const uint8_t PinName);
    uint16_t genericRead16(const uint8_t PinName);
    uint32_t genericRead24(const uint8_t PinName);
    float genericReadFloat(const uint8_t PinName);
    void genericWrite8(const uint8_t PinName,  const uint8_t Value);
    void genericWrite16(const uint8_t PinName, const uint16_t Value);
    void genericWrite24(const uint8_t PinName, const uint32_t Value);
    void genericWriteFloat(const uint8_t PinName, const float Value);
};
