
#include "IotModule\IotModule.h"
#include <Wire.h>
#include "VL53L0X.h"

VL53L0X sensor;

// ===================================
//  IotModule object, do not remove
cIotModule IotModule;
// ===================================

void setup()
{
  Serial.begin(115200);

  // ===================================
  //  IotModule object initialization, do not remove
  IotModule.initialize();
  // ===================================

  // Wire.begin(int sdaPin, int sclPin, uint32_t frequency)
  Wire.begin(27, 14); 
  sensor.init();
  sensor.startContinuous(); // repeat measurements as fast as possible
}

void loop()
{

  IotModule.genericWrite16(36, sensor.readRangeContinuousMillimetersNonStopping());

  // ----------------------------------------------------------------
  //  Debug
  // ----------------------------------------------------------------
  // Serial.print(sensor.readRangeContinuousMillimetersNonStopping());
  // Serial.println();

}
